JNA API 3.3.0

## com.sun.jna.ptr
Class FloatByReference

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.ptr.ByReference
              com.sun.jna.ptr.FloatByReference

All Implemented Interfaces:
  NativeMapped

    public class FloatByReference

extends ByReference

Constructor Summary
`FloatByReference()`
`FloatByReference(float value)`

Method Summary
`float` | `getValue()`
`void` | `setValue(float value)`

Methods inherited from class com.sun.jna.PointerType
`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FloatByReference

    public FloatByReference()

### FloatByReference

    public FloatByReference(float value)

Method Detail

### setValue

    public void setValue(float value)

### getValue

    public float getValue()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.